> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List channels

> Lists shared public named channels in the resolved teamspace. Private channels, direct messages, and personal chats are intentionally omitted. `q` filters channel names and does not search message content.



## OpenAPI

````yaml get /channels
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /channels:
    get:
      tags:
        - Channels
      summary: List channels
      description: >-
        Lists shared public named channels in the resolved teamspace. Private
        channels, direct messages, and personal chats are intentionally omitted.
        `q` filters channel names and does not search message content.
      operationId: Channels.listChannels
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/after'
        - $ref: '#/components/parameters/before'
        - name: type
          in: query
          schema:
            type: string
            enum:
              - channel
          description: >-
            Filter by channel type. Only shared named channels are available in
            v1.
        - name: q
          in: query
          schema:
            type: string
            maxLength: 200
          description: Case-insensitive channel-name substring.
      responses:
        '200':
          description: Channel list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelList'
components:
  parameters:
    limit:
      name: limit
      in: query
      schema:
        type: integer
        default: 50
        minimum: 1
        maximum: 100
      required: false
      description: The limit on the number of objects to return, ranging between 1 and 100.
    after:
      name: after
      in: query
      schema:
        type: string
      required: false
      description: >-
        A cursor to use in pagination. `after` is an object ID that defines your
        place in the list. For example, if you make a list request and receive
        100 objects, ending with `obj_foo`, your subsequent call can include
        `after=obj_foo` to fetch the next page of the list.
    before:
      name: before
      in: query
      schema:
        type: string
      required: false
      description: >-
        A cursor to use in pagination. `before` is an object ID that defines
        your place in the list. For example, if you make a list request and
        receive 100 objects, starting with `obj_bar`, your subsequent call can
        include `before=obj_bar` to fetch the previous page of the list.
  schemas:
    ChannelList:
      type: object
      required:
        - object
        - data
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/Channel'
        has_more:
          type: boolean
    Channel:
      type: object
      required:
        - object
        - id
        - type
        - name
        - description
        - teamspace_id
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - channel
        id:
          type: string
        type:
          type: string
          enum:
            - channel
        name:
          type: string
        description:
          type: string
          nullable: true
        teamspace_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````